org.bouncycastle.openpgp.examples

## Class ClearSignedFileProcessor

- java.lang.Object
- - org.bouncycastle.openpgp.examples.ClearSignedFileProcessor

    public class ClearSignedFileProcessor
    extends java.lang.Object

A simple utility class that creates clear signed files and verifies them.

To sign a file: ClearSignedFileProcessor -s fileName secretKey passPhrase.

To decrypt: ClearSignedFileProcessor -v fileName signatureFile publicKeyFile.

### Constructor Summary

Constructors
Constructor and Description
`ClearSignedFileProcessor()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearSignedFileProcessor

    public ClearSignedFileProcessor()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`